# A summary of old code that I don't want to kill just yet.
# retrieve with  ?utilitiesR-defunct
# add deprecated function names into export and aliases.
# err should I also be covering parameter documentation?

#' Retired function(s) in the utilitiesR package.
#'
#' These should not be used any more.
#' @rdname utilitiesR-deprecated
#' @name utilitiesR-deprecated
#' @docType package
#' @details
#' \itemize{
#'   \item \code{\link{sortPointsRectangle.old}} is deprecated, use
#'     \code{\link{sortPointsRectangle}} instead -
#'     the old method used a faulty algorithm that would sometimes yield wrong results.
#' }
#' @seealso \code{\link{sortPointsRectangle-deprecated}}
NULL

#' DEPRECATED version of sortPointsRectangle.
#'
#' This old version is still here for the sake of storage, but SHOULD NOT BE USED.
#' It used an algorithm to determine the labels for the points ('bottom-left',
#' 'top-right', etc) that was sometimes faulty and would yield the wrong results.
#'
#' The wrong results typically happened when the input rectangle was on a diagonal
#' slant such that one pair of the diagonally-opposite corners had roughly equal
#' Y values.
#'
#' The new version determines the radial coordinates of the vertices relative to
#' their centroid and uses the arguments to order the points appropriately.
#'
#' @inheritParams sortPointsRectangle
#' @param verbose whether to print some output to the screen (deprecated in new version)
#' @rdname sortPointsRectangle-deprecated
#' @aliases sortPointsRectangle-deprecated
#' @seealso \code{\link{sortPointsRectangle}}
#' @export
sortPointsRectangle.old <- function(pts, anticlockwise=TRUE, verbose=FALSE,
                                    shift=FALSE, preserveStart=FALSE,
                                    index.return=FALSE)
{
    .Defunct('sortPointsRectangle', package='utilitiesR')
    # ordered by Y coordinate (asc) and then X if a tie (asc)
    coords <- pts[(idxpts <- order(pts[, "Y"], pts[, "X"])), c("Y", "X")]
    originI <- 2
    uvL0I   <- 1
    if (coords[1, "X"] < coords[2, "X"]) { # then it's coords[1, ] that's the origin
        originI <- 1
        uvL0I   <- 2
    }

    uv0LI <- 3
    uvLLI <- 4
    if (coords[4, "X"] < coords[3, "X"]) {
        uv0LI <- 4
        uvLLI <- 3
    }
    if (verbose) {
        message("coords: \n")
        print(coords)
        message("origin       : ", coords[originI, c("X", "Y")], "\n")
        message("bottom right : ", coords[  uvL0I, c("X", "Y")], "\n")
        message("top left     : ", coords[  uv0LI, c("X", "Y")], "\n")
        message("top right    : ", coords[  uvLLI, c("X", "Y")], "\n")
    }

    idx <- c(originI, uvL0I, uvLLI, uv0LI)
    names(idx) <- c('bottom-left', 'bottom-right', 'top-right', 'top-left')

    if (preserveStart) {
        sI <- which(coords[idx, "X"] == pts[1, "X"] & coords[idx, "Y"] == pts[1, "Y"])
        idx <- idx[ ((sI - 1) + 0:3) %% 4 + 1 ]
    }

    if (!anticlockwise) idx <- idx[c(1, 4, 3, 2)]

    out <- coords[idx, ]
    rownames(out) <- names(idx) # ack! error in all previous version! (was always b-l, b-r, t-r, t-l)
    if (shift) {
        out[, c("X", "Y")] <- t(t(out[, c("X", "Y")]) - coords[idx[1], c("X", "Y")])
    }

    out <- out[, c('X', 'Y')]

    # NOTE: idx is an index in 'coords'
    # ipts is an index in 'pts'
    if (index.return) {
        return(list(x=out, ix=idxpts[idx]))
    } else {
       return(out)
    }
}
