\name{gui.dir.choose}
\alias{gui.dir.choose}
\title{cross-platform directory selection interface}
\usage{
  gui.dir.choose(startDir = getwd(),
    title = "choose a directory", multiple = FALSE,
    graphics = TRUE)
}
\arguments{
  \item{startDir}{start directory (default current
  directory)}

  \item{title}{title for dialog}

  \item{multiple}{whether to allow selection of multiple
  items}

  \item{graphics}{whether to present a graphics interface
  (if possible)}
}
\value{
  the dir(s) chosen (character vector). If \code{is.empty}
  is \code{TRUE}, the user selected 'Cancel'.
}
\description{
  This is a cross-platform function to allow the user to
  choose a directory interactively. If
  \code{graphics=TRUE}, \code{choose.dir} is used on
  Windows (file dialog), and \code{tcltk::tk_choose.dir}
  otherwise (& if supported), and an interactive text
  interface if all else fails.
}
\seealso{
  Other ui: \code{\link{dir.browse}},
  \code{\link{file.browse}}, \code{\link{Filters}},
  \code{\link{gui.file.choose}}, \code{\link{gui.menu}},
  \code{\link{gui.readline}}, \code{\link{gui.yesno}},
  \code{\link{tk_entry.dialog}},
  \code{\link{tk_select.list}}
}

