\name{regescape}
\alias{regescape}
\title{Escapes a string to be regex-safe.}
\usage{
  regescape(x, escape='.+*?^$[]\\\\()\{\}|-')
}
\arguments{
  \item{x}{the string (or character vector of strings) to
  escape}

  \item{escape}{characters to escape, default
  '.*?+^$[]\\\\\{\}()|-' (the double-backslash is
  interpreted as a single blackslash by R).}
}
\value{
  the escaped string. By default the characters
  '.*?+^$[]\\\{\}()|-' are all escaped.
}
\description{
  Escapes a string to be regex-safe.
}
\note{
  Remember that R strings require escaping of backslashes
  too (as well as regex), so for example to escape the
  actual string '\' which is R string '\\\\', you would get
  '\\\\\\\\'.
}
\examples{
regescape(c('Hi.', '**hello?**', 'C:\\\\')) # C:\\
# c('Hi\\\\.',    '\\\\*\\\\*hello\\\\?\\\\*\\\\*',    'C:\\\\\\\\')

regescape('Hi...?', escape='?') # only escape the '?'
# 'Hi...\\\\?'
}

