\name{tk_toplist}
\alias{tk_toplist}
\title{Get names of all toplevel tk windows}
\usage{
  tk_toplist(root = ".")
}
\arguments{
  \item{root}{string giving parent window : i.e., get names
  of all toplevel tk windows that are descendants of
  \code{root}.}
}
\value{
  a character array of all toplevel tk windows that are
  descendants of \code{root}, or \code{character(0)} if
  there are none.
}
\description{
  Get names of all toplevel tk windows
}
\details{
  Taken from algorithm in \url{http://wiki.tcl.tk/1461}:
  \preformatted{ proc toplist {{W .}} { set list {} if {
  [string equal [winfo toplevel $W] $W] } { lappend list $W
  } foreach w [winfo children $W] { set list [concat $list
  [toplist $w]] } return $list } }
}
\keyword{internal}

